arrow-left
All pages
gitbookPowered by GitBook
1 of 1

Loading...

Messages

hashtag
List

get

Retrieve Auto-upgrade Message(s).

Responses
chevron-right
200

Success

application/json; api-version=1.0
chevron-right
401

Unauthorized

application/json; api-version=1.0
chevron-right
404

Not Found

application/json; api-version=1.0
get
/api/AVD/DefaultSettings/SingleSession/AutoUpgrade/Messages

hashtag
Create

post

Create an Auto-upgrade Message.

Body

Add a message to the Auto-upgrade message list

enabledbooleanOptional

Whether to enable or disable the message.

messageTitlestring | nullableRequired

The title of the message.

messagestring | nullableRequired

A message that should be sent to users before the job starts.

sendMsgSecsinteger · int32Optional

Time interval in seconds before the job starts when the message to users should be sent.

sendMsgWhenstring · enumOptional

Whether the message is sent Before/After the schedule is triggered. Send Message When can only be set to After in the case of Reboot.

Possible values:
Responses
chevron-right
201

Created

chevron-right
401

Unauthorized

application/json; api-version=1.0
chevron-right
404

Not Found

application/json; api-version=1.0
post
/api/AVD/DefaultSettings/SingleSession/AutoUpgrade/Messages

No content

hashtag
Get

get

Retrieve an Auto-upgrade Message.

Path parameters
messageIdinteger · int32Required

The ID of the message to retrieve.

Responses
chevron-right
200

Success

application/json; api-version=1.0
chevron-right
401

Unauthorized

application/json; api-version=1.0
chevron-right
404

Not Found

application/json; api-version=1.0
get
/api/AVD/DefaultSettings/SingleSession/AutoUpgrade/Messages/{messageId}

hashtag
Update

put

Update an Auto-upgrade Message.

Path parameters
messageIdinteger · int32Required

The ID of the message to modify.

Body

Modify a message within the Auto-upgrade message list

enabledboolean | nullableOptional

Whether to enable or disable the message.

messageTitlestring | nullableOptional

The title of the message.

messagestring | nullableOptional

A message that should be sent to users before the job starts.

sendMsgSecsinteger · int32 | nullableOptional

Time interval in seconds before the job starts when the message to users should be sent.

sendMsgWhenstring · enumOptional

Whether the message is sent Before/After the schedule is triggered. Send Message When can only be set to After in the case of Reboot.

Possible values:
Responses
chevron-right
204

No Content

chevron-right
401

Unauthorized

application/json; api-version=1.0
chevron-right
404

Not Found

application/json; api-version=1.0
put
/api/AVD/DefaultSettings/SingleSession/AutoUpgrade/Messages/{messageId}

No content

hashtag
Delete

delete

Delete an Auto-upgrade Message by ID.

Path parameters
messageIdinteger · int32Required

The ID of the message to remove.

Responses
chevron-right
204

No Content

chevron-right
401

Unauthorized

application/json; api-version=1.0
chevron-right
404

Not Found

application/json; api-version=1.0
delete
/api/AVD/DefaultSettings/SingleSession/AutoUpgrade/Messages/{messageId}

No content

GET /api/AVD/DefaultSettings/SingleSession/AutoUpgrade/Messages HTTP/1.1
Host: 
Accept: */*
[
  {
    "id": 1,
    "enabled": true,
    "messageTitle": "text",
    "message": "text",
    "sendMsgSecs": 1,
    "sendMsgWhen": [
      "0 = Before",
      "1 = After"
    ]
  }
]
POST /api/AVD/DefaultSettings/SingleSession/AutoUpgrade/Messages HTTP/1.1
Host: 
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 112

{
  "enabled": true,
  "messageTitle": "text",
  "message": "text",
  "sendMsgSecs": 1,
  "sendMsgWhen": [
    "0 = Before",
    "1 = After"
  ]
}
GET /api/AVD/DefaultSettings/SingleSession/AutoUpgrade/Messages/{messageId} HTTP/1.1
Host: 
Accept: */*
{
  "id": 1,
  "enabled": true,
  "messageTitle": "text",
  "message": "text",
  "sendMsgSecs": 1,
  "sendMsgWhen": [
    "0 = Before",
    "1 = After"
  ]
}
PUT /api/AVD/DefaultSettings/SingleSession/AutoUpgrade/Messages/{messageId} HTTP/1.1
Host: 
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 112

{
  "enabled": true,
  "messageTitle": "text",
  "message": "text",
  "sendMsgSecs": 1,
  "sendMsgWhen": [
    "0 = Before",
    "1 = After"
  ]
}
DELETE /api/AVD/DefaultSettings/SingleSession/AutoUpgrade/Messages/{messageId} HTTP/1.1
Host: 
Accept: */*